complexType "BondReference"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 elements
Defined: | globally in fpml-ird-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | bond?, conditionPrecedentBond?, discrepancyClause?
</...>

Content Model Elements (3):

  bond, conditionPrecedentBond, discrepancyClause

All Direct / Indirect Based Elements (1):

  bondReference

Known Usage Locations

- As direct type of elements (1):
  bondReference

Annotation
A type including a reference to a bond to support the representation of an asset swap or Condition Precedent Bond.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="BondReference"> <xsd:sequence> <xsd:element minOccurs="0" ref="bond"/> <xsd:element minOccurs="0" name="conditionPrecedentBond" type="xsd:boolean"/> <xsd:element minOccurs="0" name="discrepancyClause" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
bond

  Type: | Bond, complex content

  Reference to a bond underlyer.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" ref="bond"/>

conditionPrecedentBond

  Type: | xsd:boolean, predefined, simple content

  To indicate whether the Condition Precedent Bond is applicable. The swap contract is only valid if the bond is issued and if there is any dispute over the terms of fixed stream then the bond terms would be used.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="conditionPrecedentBond" type="xsd:boolean"/>

discrepancyClause

  Type: | xsd:boolean, predefined, simple content

  To indicate whether the Discrepancy Clause is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="discrepancyClause" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.